c***************************************************************
c       x: Longitude(deg)
c       y:  Latitude(deg)
c     ek0: Kinetic Energy Density of  Surface Tide in the top 100m (J/m3)
c     ek1: Kinetic Energy Density of Internal Tide in the top 100m (J/m3)
c     dep: Sear Floor Depth(m)
c***************************************************************
      integer iq,jq
      parameter(iq=321,jq=321)
      real x(iq),y(jq),dep(iq,jq),ek0(iq,jq),ek1(iq,jq)
c--open data file--
      open(10,file='KE.TOP100.DATA',form='formatted')
c--read data--
      read(10,*)
      read(10,*) 
      do 5 j=1,jq
      do 5 i=1,iq
       read(10,11) x(i),y(j),ek0(i,j),ek1(i,j),dep(i,j)
    5 continue     
   11 format(F14.5,2x,F13.5,2x,E23.10,2x,E24.10,2x,F18.5)   
c--
      stop 
      end
      
